Categories:
  - Internet
License: GPL-2.0-only
WebSite: https://www.zenz-solutions.de/personaldnsfilter/
SourceCode: https://github.com/IngoZenz/personaldnsfilter
IssueTracker: https://github.com/IngoZenz/personaldnsfilter/issues
Changelog: https://github.com/IngoZenz/personaldnsfilter/releases

AutoName: personalDNSfilter
Description: |-
    <i>personalDNSfilter</i> is a DNS filter proxy written in Java. It hooks into
    the domain name (DNS) resolution and returns the loopback address for
    filtered hosts.

    It can be used for filtering ads and other unwished hosts based on a host
    list – thus it is a good AdBlock alternative. On Android 4.2 and newer it
    can be used as effective ad, malware and tracking server filter without
    root access!

    It works with any upstream DNS server - filtering is completely local - no
    phoning home or such things! You can run it locally on your device or
    centrally as DNS server in your network.

RepoType: git
Repo: https://github.com/IngoZenz/personaldnsfilter

Builds:
  - versionName: 1.50.27
    versionCode: 1502700
    commit: 1.50.27
    subdir: app
    gradle:
      - yes

  - versionName: 1.50.28
    versionCode: 1502800
    commit: 1.50.28
    subdir: app
    gradle:
      - yes

  - versionName: 1.50.29
    versionCode: 1502900
    commit: 1.50.29.01
    subdir: app
    gradle:
      - yes

  - versionName: 1.50.30.1
    versionCode: 1503010
    commit: 1.50.30.1
    subdir: app
    gradle:
      - yes

  - versionName: 1.50.32.1
    versionCode: 1503201
    commit: 1.50.32.1
    subdir: app
    gradle:
      - yes

  - versionName: 1.50.33.5
    versionCode: 1503305
    commit: 1.50.33.5
    subdir: app
    gradle:
      - yes

  - versionName: 1.50.34.3
    versionCode: 1503403
    commit: 1.50.34.3
    subdir: app
    gradle:
      - yes

  - versionName: 1.50.34.4
    versionCode: 1503404
    commit: 1.50.34.4
    subdir: app
    gradle:
      - yes

  - versionName: 1.50.35.0
    versionCode: 1503500
    commit: 1.50.35.0
    subdir: app
    gradle:
      - yes

  - versionName: 1.50.36.0
    versionCode: 1503600
    commit: 1.50.36.0
    subdir: app
    gradle:
      - yes

  - versionName: 1.50.37.0
    versionCode: 1503700
    commit: 1.50.37.0
    subdir: app
    gradle:
      - yes

  - versionName: 1.50.38.0
    versionCode: 1503800
    commit: 1.50.38.0
    subdir: app
    gradle:
      - yes

  - versionName: 1.50.39.1
    versionCode: 1503901
    commit: 1.50.39.1
    subdir: app
    gradle:
      - yes

  - versionName: 1.50.40.0
    versionCode: 1504000
    commit: 1.50.40.0
    subdir: app
    gradle:
      - yes

  - versionName: 1.50.41.0
    versionCode: 1504100
    commit: 1.50.41.0
    subdir: app
    gradle:
      - yes
    scanignore:
      - material.io_icons.zip
      - personalDNSfilter_icon.zip

  - versionName: 1.50.43.0
    versionCode: 1504300
    commit: 1.50.43.0
    subdir: app
    gradle:
      - yes
    scanignore:
      - material.io_icons.zip
      - personalDNSfilter_icon.zip

  - versionName: 1.50.44.0
    versionCode: 1504400
    commit: 1.50.44.0
    subdir: app
    gradle:
      - yes
    scanignore:
      - material.io_icons.zip
      - personalDNSfilter_icon.zip

  - versionName: 1.50.45.0
    versionCode: 1504500
    commit: 1.50.45.0
    subdir: app
    gradle:
      - yes
    scanignore:
      - material.io_icons.zip
      - personalDNSfilter_icon.zip

  - versionName: 1.50.46.0
    versionCode: 1504600
    commit: 1.50.46.0
    subdir: app
    gradle:
      - yes
    scanignore:
      - material.io_icons.zip
      - personalDNSfilter_icon.zip

  - versionName: 1.50.47.0
    versionCode: 1504700
    commit: 1.50.47.0
    subdir: app
    gradle:
      - yes
    scanignore:
      - material.io_icons.zip
      - personalDNSfilter_icon.zip

  - versionName: 1.50.48.0
    versionCode: 1504800
    commit: 1.50.48.0
    subdir: app
    gradle:
      - yes
    scanignore:
      - material.io_icons.zip
      - personalDNSfilter_icon.zip

  - versionName: 1.50.48.1
    versionCode: 1504801
    commit: 1.50.48.1
    subdir: app
    gradle:
      - yes
    scanignore:
      - material.io_icons.zip
      - personalDNSfilter_icon.zip

  - versionName: 1.50.49.1
    versionCode: 1504901
    commit: d54eba2b86ce278895546c09e25937e15dc1c679
    subdir: app
    gradle:
      - yes
    scanignore:
      - material.io_icons.zip
      - personalDNSfilter_icon.zip

  - versionName: 1.50.50.0
    versionCode: 1505000
    commit: 87242626d2a3aec5acb281c80eae25bb8c745678
    subdir: app
    gradle:
      - yes
    scanignore:
      - material.io_icons.zip
      - personalDNSfilter_icon.zip

  - versionName: 1.50.50.1
    versionCode: 1505001
    commit: 6209fe7ce743a291497d5932f6aacacfc33d6606
    subdir: app
    gradle:
      - yes
    scanignore:
      - material.io_icons.zip
      - personalDNSfilter_icon.zip

  - versionName: 1.50.51.0
    versionCode: 1505100
    commit: d3de26750b2fee7987310cf823e88320aee5a4e4
    subdir: app
    gradle:
      - yes
    scanignore:
      - material.io_icons.zip
      - personalDNSfilter_icon.zip

  - versionName: 1.50.52.2
    versionCode: 1505202
    commit: 8ee8580bd2a22b596f2785379335765671d6dead
    subdir: app
    gradle:
      - yes
    scanignore:
      - material.io_icons.zip
      - personalDNSfilter_icon.zip

  - versionName: 1.50.53.4
    versionCode: 1505304
    commit: 48a67d236dc17dacd4d63e83434fdeccb791786b
    subdir: app
    gradle:
      - yes
    scanignore:
      - material.io_icons.zip
      - personalDNSfilter_icon.zip

  - versionName: 1.50.53.5
    versionCode: 1505305
    commit: fc47cb636a3e77c963c71b342770639412fa7574
    subdir: app
    gradle:
      - yes
    scanignore:
      - material.io_icons.zip
      - personalDNSfilter_icon.zip

AutoUpdateMode: Version %v
UpdateCheckMode: Tags
CurrentVersion: 1.50.53.5
CurrentVersionCode: 1505305
